Badges

Generate status badges for your repositories.


Get PNG badge

GET /badges/{owner}/{repository}.png
Deprecated

Get badge in PNG image format

owner string required

The owner of the repository

min length: 1 · max length: 40 · pattern: ^[a-zA-Z0-9\-]+$

repository string required

The name of the repository

min length: 1 · pattern: ^[\w\-\.]+$

style string

The style of the button, more details on https://shields.io/.

200 An PNG image.
403 Forbidden
404 Not found
409 Conflict
422 Unprocessable entity
Example Request
curl -X GET "https://api.mergify.com/v1/badges/:owner/:repository.png"

Get SVG badge

GET /badges/{owner}/{repository}.svg
Deprecated

Get badge in SVG image format

owner string required

The owner of the repository

min length: 1 · max length: 40 · pattern: ^[a-zA-Z0-9\-]+$

repository string required

The name of the repository

min length: 1 · pattern: ^[\w\-\.]+$

style string

The style of the button, more details on https://shields.io/.

200 An SVG image.
403 Forbidden
404 Not found
409 Conflict
422 Unprocessable entity
Example Request
curl -X GET "https://api.mergify.com/v1/badges/:owner/:repository.svg"

Get shields.io badge config

GET /badges/{owner}/{repository}
Deprecated

Get shields.io badge JSON configuration

owner string required

The owner of the repository

min length: 1 · max length: 40 · pattern: ^[a-zA-Z0-9\-]+$

repository string required

The name of the repository

min length: 1 · pattern: ^[\w\-\.]+$

200 The shields.io badge JSON configuration
403 Forbidden
404 Not found
409 Conflict
422 Unprocessable entity
Example Request
curl -X GET "https://api.mergify.com/v1/badges/:owner/:repository"

Was this page helpful?